package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsCapacityType;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsCapacityTypeMapper extends IBaseMapper<RmsCapacityType, BigDecimal> {
    @Select("select seq_RMS_CAPACITY_TYPE.nextval from dual")
    BigDecimal nextCapacityTypeId();

    List<Map<String,Object>> getRmsCapacityType(Map<String ,Object> map);
}