package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsDirectlySentCity;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsDirectlySentCityMapper extends IBaseMapper<RmsDirectlySentCity, BigDecimal> {


    List<Map<String, Object>> getDirectlySentCity(Map<String, Object> mapValue);

    @Options(flushCache = Options.FlushCachePolicy.TRUE)
    @Select("SELECT SEQ_DIRECTLY.nextval FROM dual")
    BigDecimal getMaxId();

    List<BigDecimal> selectAddressId(Map<String, Object> infoMap);




}