package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsReceivingCompany;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsReceivingCompanyMapper extends IBaseMapper<RmsReceivingCompany, BigDecimal> {
    @Select("select seq_RMS_RECEIVING_COMPANY.nextval from dual")
    BigDecimal nextId();

    List<Map<String,Object>> getReceivingCompany(Map<String ,Object> map);
}